<?php
	session_start();
	// Date in the past
	header("Expires: Mon, 26 Jul 1909 05:00:00 GMT");
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");
?>
<?php
ob_start();
include('gzip_encode.php');
?>
<?php
  header("Content-type: image/svg+xml");
print("<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n");
?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.0//EN" "http://www.w3.org/TR/SVG/DTD/svg10.dtd">
<?php
    $conn=pg_connect("host=localhost port=5432 dbname=postgis user=postgres password=reggie02") or die ('I cannot connect to the database because: ' . pg_error());
		
    $XMaxSQL="SELECT xmaximum FROM extents WHERE name='Colorado'";
    $YMaxSQL="SELECT ymaximum FROM extents WHERE name='Colorado'";
    $XMinSQL="SELECT xminimum FROM extents WHERE name='Colorado'";
    $YMinSQL="SELECT yminimum FROM extents WHERE name='Colorado'";

    $XMaxResult=pg_exec($conn, $XMaxSQL);
    $YMaxResult=pg_exec($conn, $YMaxSQL);
    $XMinResult=pg_exec($conn, $XMinSQL);
    $YMinResult=pg_exec($conn, $YMinSQL);
    $XMax=pg_fetch_object($XMaxResult,0);
    $YMax=pg_fetch_object($YMaxResult,0);
    $XMin=pg_fetch_object($XMinResult,0);
    $YMin=pg_fetch_object($YMinResult,0);

    $theXAdd=(($XMax->xmaximum-$XMin->xminimum)*1.1);
    $theYAdd=(($YMax->ymaximum-$YMin->yminimum)*1.1);

    $theWidth=($XMax->xmaximum-$XMin->xminimum);
    $theHeight=($YMax->ymaximum-$YMin->yminimum);

    $theXDiff=($theXAdd-$theWidth)/2;
    $theYDiff=($theYAdd-$theHeight)/2;

    $theXMax=$XMax->xmaximum+$theXDiff;
    $theYMax=$YMax->ymaximum+$theYDiff;
    $theXMin=$XMin->xminimum-$theXDiff;
    $theYMin=$YMin->yminimum-$theYDiff;

    //************
    //************
    //Substituting this exposes another potential bug.
    //$theXMax=$XMax->xmaximum;
    //$theYMax=$YMax->ymaximum;
    //$theXMin=$XMin->xminimum;
    //$theYMin=$YMin->yminimum;

		$sql = ("SELECT AsSVG(intersection(the_geom, PolygonFromText('POLYGON(($theXMin $theYMax, $theXMax $theYMax, $theXMax $theYMin, $theXMin $theYMin, $theXMin $theYMax))',26913)),0,8) As the_geom From features2 WHERE the_geom && PolygonFromText('POLYGON(($theXMin $theYMax, $theXMax $theYMax, $theXMax $theYMin, $theXMin $theYMin, $theXMin $theYMax))',26913)");
		$state=pg_exec($conn, $sql);

    print ("<svg id=\"map2\" width=\"535px\" height=\"507px\" viewBox=\"$theXMin ". ($theYMax*-1) ." $theWidth $theHeight\">\n");
		print ("    <g fill=\"blue\" stroke=\"red\" stroke-width=\"0.1%\">\n");
		if($state){
				$rows=pg_numrows($state);
		    for($i=0; $i<$rows; $i++){
		    		$data=pg_fetch_row($state, $i);
		        if($data[0]!=""){
		        		print "       <path d=\"".$data[0]."z\"/>\n";
		            //print "       <path d=\"".$data[0]."\"/>\n";
		            //print ("       <circle ".$data[0]." r=\"1000\" />\n");
		        }
		    }    
		}else{
		        print "Nope\n";
		}
		print "   </g>\n"; 
?>
</svg>
<?php
new gzip_encode();
?>
